Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027856
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2014-10-14 10:112014-12-30 23:22
ReporteraferrazView Statuspublic 
Assigned Toumartirena 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision81d5a6670d7f
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027856: Cost Adjustment Lines line numbers are sometimes not properly created

DescriptionCost Adjustment Lines line numbers are sometimes not properly created
Steps To ReproduceIn "QA Testing" client:

Create a new Product named "Costing DDD" for Spain organization.
Go to Price tab and select "Purchase" price list. Then, enter a unit/list price of 25 €

Go to Purchase Order window and create a new order for Spain organization and product "Costing DDD", order date 14-10-2014.
Enter 580 units. Book the order. Let's say this is order 800064.

Go to Purchase Invoice window and create a new invoice for Spain organization and invoice date 19-10-2014. Click Create Lines From and select order 800064. Complete the invoice and post it. Let's say this is invoice 10000082.
Realize that the value posted to the ledger is 14,500.00 (580 units * 25 €/unit)

Go to Goods Receipt window and create a new receipt dated on 24-10-2014. Select invoice 10000082 and enter 80 units. Complete. Let's say this is receipt 10000104.

Navigate to Process Request window and run "Costing Background process". This will allow you to post the receipts.

Go to receipt window and post the receipt 10000104.
Realize that the value posted to the ledger is 2,000.00 (80 units * 25 €/unit)

Go to Purchase Invoice window and select the invoice 10000082. Click Unpost, check Delete accounting entry and click OK. Click Reactivate and OK. Update Invoice Line net unit price from 25€ to 20€. Complete the invoice and post it.
Realize that the value posted to the ledger is 11,600.00 (580 units * 20 €/unit)

Go to Goods Receipt window and create a new receipt dated on 29-10-2014. Select invoice 10000082 and enter 500 units. Complete. Let's say this is receipt 10000105.

Navigate to Process Request window and run "Costing Background process". This will allow you to post the receipts.

Go to receipt window and post the receipt 10000105.
Realize that the value posted to the ledger is 12,500.00 (500 units * 25 €/unit)

Navigate to Process Request window and run "Price Correction Background".

Navigate to Cost Adjustment window, search the last created record and realize it has two lines (sort them by Inventory Transaction ascending):

- line 1 points to receipt 10000104

- line 2 points to receipt 10000105

Realize that both lines have Line No. "10".
TagsNo tags attached.
Attached Filespng file icon CostingDDD.png [^] (202,591 bytes) 2014-10-14 10:11

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070965)
hgbot (developer)
2014-10-15 14:16

Repository: erp/devel/pi
Changeset: 81d5a6670d7fea6e79258072b319cca210dee384
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Wed Oct 15 14:15:47 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/81d5a6670d7fea6e79258072b319cca210dee384 [^]

Fixes bug 27856: Cost Adjustment Lines line numbers are not properly created

---
M src/org/openbravo/costing/PriceDifferenceProcess.java
---
(0070966)
umartirena (developer)
2014-10-15 14:19

In order to test this fix with the described steps above the preference "Enable automatic Price Difference Corrections" has to be disabled.
(0070993)
psanjuan (manager)
2014-10-16 14:30
edited on: 2014-10-16 14:30

Verified with preference disabled.
Only one cost adjustment is created with two lines. Line Nº is ok (10-20)

Verified with preference enabled.
Two cost adjustments are created each one having one line.

(0072937)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-14 10:11 aferraz New Issue
2014-10-14 10:11 aferraz Assigned To => eduardo_Argal
2014-10-14 10:11 aferraz File Added: CostingDDD.png
2014-10-14 10:11 aferraz Modules => Core
2014-10-14 10:11 aferraz Triggers an Emergency Pack => No
2014-10-15 14:16 hgbot Checkin
2014-10-15 14:16 hgbot Note Added: 0070965
2014-10-15 14:16 hgbot Status new => resolved
2014-10-15 14:16 hgbot Resolution open => fixed
2014-10-15 14:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/81d5a6670d7fea6e79258072b319cca210dee384 [^]
2014-10-15 14:19 umartirena Note Added: 0070966
2014-10-16 14:08 psanjuan Assigned To eduardo_Argal => umartirena
2014-10-16 14:30 psanjuan Note Added: 0070993
2014-10-16 14:30 psanjuan Status resolved => closed
2014-10-16 14:30 psanjuan Note Edited: 0070993 View Revisions
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072937


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker